# ../scripts/custom/gg_knifepro_noswitch/gg_knifepro_noswitch_config.py

# =============================================================================
# >> IMPORTS
# =============================================================================
# Python Imports
from __future__ import with_statement
from path import path

# GunGame Imports
from gungame51.core.cfg.configs import ConfigContextManager


# =============================================================================
# >> LOAD & UNLOAD
# =============================================================================
def load():

    # Create the cfg file
    with ConfigContextManager(
      path(__file__).parent.split('scripts')[~0][1:]) as config:

        # Create the gg_knifepro_noswitch instance
        with config.cfg_cvar('gg_knifepro_noswitch') as cvar:

            cvar.name = 'KNIFE PRO NO SWITCH'
            cvar.description.append('Stops players from ' +
                'switching from their knife when stealing a level.')
            cvar.options.append(
                '0 = (Disabled) Do not load gg_knifepro_noswitch.')
            cvar.options.append('1 = (Enabled) Load gg_knifepro_noswitch')
            cvar.default = 0
            cvar.text = ('Stop players from switching ' +
                'from their knife when stealing a level.')
